<?php


namespace App\Controllers;



use App\Models\CountryModel;
use App\Models\TestModel;

class Main extends BaseController
{

    private $db;

    public function __construct()
    {
//        $this->db = \Config\Database::connect();
//        $this->db = db_connect('tests');
        $this->db = new CountryModel();
    }

    public function index()
    {
        $data = [
            'title' => 'Главная страница',
        ];
        return view('main/index', $data);
    }

    public function test()
    {
        helper('form');
        $rules = [
            'name' => [
                'rules' => 'required|min_length[6]',
                /*'errors' => [
                    'required' => 'The field {field} is required',
                    'min_length' => 'The field {field} must be at least 6 characters in length'
                ],*/
                'label' => 'Name',
            ],
            'email' => [
                'rules' => 'valid_email',
                'errors' => [
                    'valid_email' => 'Поле {field} должно содержать корректный адрес',
                ],
                'label' => 'E-mail',
            ],
        ];
        $data = ['title' => 'Validation data'];

        if ($this->request->getMethod() == 'post') {
            if (!$this->validate($rules)) {
                return redirect()->route('main.test')->withInput()->with('errors', $this->validator);
            } else {
                return redirect()->route('main.test')->with('success', 'SUCCESS');
            }
        }

        return view('main/test', $data);
    }

    public function test2()
    {
        helper('form');

        if ($this->request->getMethod() == 'post') {
            $testModel = new TestModel();
            if (!$testModel->insert($this->request->getPost())) {
                return redirect()->route('main.test2')->withInput()->with('errors', $testModel->errors());
            }
            return redirect()->route('main.test2')->with('success', 'SUCCESS');
        }

        return view('main/test2', ['title' => 'Validation data 2']);
    }

}